import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const LoginForm: {
    (props: propsTypes): React.ReactElement;
    propTypes: {
        /**
         * Title for form
         */
        title: PropTypes.Requireable<string>;
        /**
         * Login Call back
         */
        onLogin: PropTypes.Requireable<(...args: any[]) => any>;
        /**
         * Signup Call back
         */
        onSignup: PropTypes.Requireable<(...args: any[]) => any>;
        /**
         * Forgot Call back
         */
        onForgot: PropTypes.Requireable<(...args: any[]) => any>;
        /**
         * Error msg
         */
        errorMessage: PropTypes.Requireable<string>;
    };
    defaultProps: {
        title: string;
        onLogin: undefined;
        onSignup: undefined;
        onForgot: undefined;
        errorMessage: string;
    };
};
export default LoginForm;
